searchData={"items":[{"type":"module","title":"Autumn","doc":"Syntax highlighter for source code parsed with Tree-Sitter and styled with Helix Editor themes.\n\nSupport [multiple languages](https://github.com/leandrocp/autumn/blob/main/native/inkjet_nif/Cargo.toml#L20) and [100+ themes](https://github.com/leandrocp/autumn/tree/main/priv/themes). See some samples at https://autumn-30n.pages.dev\n\nUse Rust's [inkjet crate](https://crates.io/crates/inkjet) under the hood.","ref":"Autumn.html"},{"type":"module","title":"Installation - Autumn","doc":"Add `:autumn` dependency:\n\n```elixir\ndef deps do\n  [\n    {:autumn, \"~> 0.1\"}\n  ]\nend\n```","ref":"Autumn.html#module-installation"},{"type":"module","title":"Usage - Autumn","doc":"```elixir\nAutumn.highlight!(\"elixir\", \"Atom.to_string(:elixir)\") |> IO.puts()\n#=>  \n#=>  \n#=>  Atom \n#=>  . \n#=>  to_string \n#=>  ( \n#=>  :elixir \n#=>  ) \n#=>   \n\nAutumn.highlight!(\"rb\", \"Math.sqrt(9)\", theme: \"dracula\") |> IO.puts()\n#=>  \n#=>  \n#=>  Math \n#=>  . \n#=>  sqrt \n#=>  ( \n#=>  9 \n#=>  ) \n#=>   \n```","ref":"Autumn.html#module-usage"},{"type":"module","title":"Samples - Autumn","doc":"Visit https://autumn-30n.pages.dev to see all [available samples](https://github.com/leandrocp/autumn/tree/main/priv/generated/samples) like the ones below:\n\n![elixir_onedark](https://raw.github.com/leandrocp/autumn/main/assets/elixir_onedark.png)\n![elixir_github_light](https://raw.github.com/leandrocp/autumn/main/assets/elixir_github_light.png)","ref":"Autumn.html#module-samples"},{"type":"function","title":"Autumn.highlight/3","doc":"Highlight the `source_code` with the rules of `lang_filename_ext`.","ref":"Autumn.html#highlight/3"},{"type":"function","title":"Options - Autumn.highlight/3","doc":"* `:theme` (default `\"onedark\"`) - accepts any theme listed [here](https://github.com/leandrocp/autumn/tree/main/priv/themes),\nyou should pass the filename without special chars and without extension, for example you should pass `theme: \"adwaita_dark\"` to use the [Adwaita Dark](https://github.com/leandrocp/autumn/blob/main/priv/themes/adwaita-dark.toml) theme.\n* `:pre_class` (default: `\"autumn highlight\"`) - the CSS class to inject into the ` ` tag.","ref":"Autumn.html#highlight/3-options"},{"type":"function","title":"Autumn.highlight!/3","doc":"Same as `highlight/3` but raises in case of failure.","ref":"Autumn.html#highlight!/3"},{"type":"type","title":"Autumn.lang_filename_ext/0","doc":"A language name, filename, or extesion.\n\nThe following values are valid to highlight an Elixir source code:\n\n  - \"elixir\", \"my_module.ex\", \"my_script.exs\", \"ex\", \"exs\"\n\nAnd any other language can be highlighted in the same way.","ref":"Autumn.html#t:lang_filename_ext/0"},{"type":"task","title":"mix autumn.generate_samples","doc":"","ref":"Mix.Tasks.Autumn.GenerateSamples.html"},{"type":"task","title":"mix autumn.generate_themes","doc":"","ref":"Mix.Tasks.Autumn.GenerateThemes.html"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.1.2-dev - Changelog","doc":"","ref":"changelog.html#0-1-2-dev"},{"type":"extras","title":"0.1.1 (2023-09-29) - Changelog","doc":"#","ref":"changelog.html#0-1-1-2023-09-29"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Fallback to plain text on invalid language\n  * Add samples\n\n#","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"* Do not render the first line empty\n  * Make sure languages are loaded correctly","ref":"changelog.html#fixes"},{"type":"extras","title":"0.1.0 (2023-09-28) - Changelog","doc":"#","ref":"changelog.html#0-1-0-2023-09-28"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Add `Autumn.highlight/3`\n  * Add `Autumn.highlight!/3`","ref":"changelog.html#enhancements"}],"content_type":"text/markdown"}